﻿<?xml version='1.0' encoding='UTF-8'?>
<LVClass LVVersion="8608001">
	<Property Name="NI.Lib.ContainingLib" Type="Str">HGF_BaseClasses.lvlib</Property>
	<Property Name="NI.Lib.ContainingLibPath" Type="Str">../../HGF_BaseClasses.lvlib</Property>
	<Property Name="NI.Lib.Description" Type="Str">This is the HGF_Reference class. 

Objects of this class create a single element size queue to hold any LabVIEW object, the referenced object. Objects of this class will be cloned at wire forks, but not the referenced object contained in the queue. So, this class provides automatical mutual exclusion accessing the referenced object.

Attention Make sure that you always checkin the object after checkout. Otherwise the referenced object become lost and you may get deadlocks as a consequence.

Author: H.Brand@gsi.de

History:
Revision 1.0.0.1: Jan 17, 2008 H.Brand@gsi.de; First release.

Copyright 2008 GSI

Gesellschaft für Schwerionenforschung mbH
Planckstr. 1, 64291 Darmstadt, Germany
Contact: H.Brand@gsi.de or D.Beck@gsi.de

This file is part of the HGF LVOOP base class library.

    HGF LVOOP base class library is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    HGF LVOOP base class library is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with HGF LVOOP base class library.  If not, see http://www.gnu.org/licenses/.
</Property>
	<Property Name="NI.Lib.HelpPath" Type="Str"></Property>
	<Property Name="NI.Lib.Icon" Type="Bin">#'#!!1!!!!)!"1!&amp;!!!-!%!!!@````]!!!!"!!%!!!)\!!!*Q(C=\&gt;5`&lt;B."&amp;-@R(YC#VD&gt;!PE(ULO!,5,C"`FX",;7P]*1&lt;O%65PA$&amp;$WC)%)8&amp;$:QD,._&gt;0-S@".Q!1CATG?T[.TMTH]SO.^)ID[6(GM[6V\]M^%N^LJ`U&gt;]&gt;&gt;X;@RN0HYQU(K]4@V_]-Y_&gt;*`?_R)&gt;&gt;Z`JOC_X*@`O\QY_S8YY^_$"`-X&gt;;+:6L3EB?:F*Z/&lt;X/1G.\H*C\T)C\T)C\T)ETT*ETT*ETT*ATT)ATT)ATT)2S58O=B&amp;$MEM&lt;B9SEZI*T-61:(Y:D`%9D`(Q5=:D0-:D0-&lt;$*4)?YT%?YT%?BMFYD-&gt;YD-&gt;YG'J)0#IZ(O.B?B7?QF.Y#E`B95E6HA*1,&amp;:-8%Q#1U6H=6*Y#E`BY63&amp;J`!5HM*4?/B7Y3E]B;@Q&amp;"['D&amp;WJI:EL/2[G5?**0)EH]31?JF&lt;C34S**`%E(J:4YEE]#3*:-*E=AJ*"S18*B]34?$AI]33?R*.Y%A^&gt;YQ\FW*F:-V&gt;S0)%H]!3?Q".YG%+"*`!%HM!4?*B7A3@Q"*\!%XB93I%H]!3?!")MSP)+*AM'"B=&amp;1?$B:TQN-?Z3$5G-+P8$KXYIV1_&lt;_C&amp;30RTKG[[_G?K&lt;J.Z]^;;K.UO^#?I`4IV79^3,K!@0&amp;_L)\Q.N4^P2NL1.&lt;5V&lt;U:;UR4TU.V^Y0"ZV/"SUX__VW_WUX7[VW7SU8K_V7KWU8#[V7#R/LY%HV.-,Y?N\[&gt;XV.(XY.%VPXVR?8$V\^@T^RZ&gt;0`^,`ZX`AX;C(_H9.^OATDCS9?Q!!!!!</Property>
	<Property Name="NI.Lib.Version" Type="Str">1.0.0.1</Property>
	<Property Name="NI.LVClass.ClassNameVisibleInProbe" Type="Bool">true</Property>
	<Property Name="NI.LVClass.CoreWirePen" Type="Bin">#'#!!1!!!!)!"1!&amp;!!!-!%!!!@````]!!!!"!!%!!!6%0%.M&gt;8.U:8)_$1I]4G&amp;N:4Z1:7Y],UZB&lt;75_$1I]4H6N27RU=TYY0#^/&gt;7V&amp;&lt;(2T0AU+0&amp;5T-DY.#DR/97VF0E:P=G6H=G^V&lt;G1A1W^M&lt;X)],UZB&lt;75_$1I]6G&amp;M0D-S.T9Y0#^797Q_$1I],V5T-DY.#DR6-T)_$1I]4G&amp;N:4Z#97.L:X*P&gt;7ZE)%.P&lt;'^S0#^/97VF0AU+0&amp;:B&lt;$YR.D=X.T)R.4QP6G&amp;M0AU+0#^6-T)_$1I]1WRV=X2F=DY.#DR/97VF0E:J&lt;'QA5'&amp;U&gt;'6S&lt;DQP4G&amp;N:4Y.#DR/&gt;7V&amp;&lt;(2T0DA],UZV&lt;56M&gt;(-_$1I]64A_$1I]4G&amp;N:4Z3&lt;X=A-$QP4G&amp;N:4Y.#DR797Q_/$5],V:B&lt;$Y.#DQP64A_$1I]64A_$1I]4G&amp;N:4Z3&lt;X=A-4QP4G&amp;N:4Y.#DR797Q_-4=Q0#^797Q_$1I],V5Y0AU+0&amp;5Y0AU+0%ZB&lt;75_5G^X)$)],UZB&lt;75_$1I]6G&amp;M0DAV0#^797Q_$1I],V5Y0AU+0&amp;5Y0AU+0%ZB&lt;75_5G^X)$-],UZB&lt;75_$1I]6G&amp;M0D%X-$QP6G&amp;M0AU+0#^6/$Y.#DR6/$Y.#DR/97VF0F*P&gt;S!U0#^/97VF0AU+0&amp;:B&lt;$YY.4QP6G&amp;M0AU+0#^6/$Y.#DR6/$Y.#DR/97VF0F*P&gt;S!V0#^/97VF0AU+0&amp;:B&lt;$YR.T!],V:B&lt;$Y.#DQP64A_$1I]64A_$1I]4G&amp;N:4Z3&lt;X=A.DQP4G&amp;N:4Y.#DR797Q_/$5],V:B&lt;$Y.#DQP64A_$1I]64A_$1I]4G&amp;N:4Z3&lt;X=A.TQP4G&amp;N:4Y.#DR797Q_-4=Q0#^797Q_$1I],V5Y0AU+0#^$&lt;(6T&gt;'6S0AU+0%ER.DY.#DR/97VF0F&gt;J:(2I0#^/97VF0AU+0&amp;:B&lt;$YR0#^797Q_$1I],UER.DY.#DR&amp;6TY.#DR/97VF0EVP:'5],UZB&lt;75_$1I]1WBP;7.F0E.P=(E],U.I&lt;WFD:4Y.#DR$;'^J9W5_4X)],U.I&lt;WFD:4Y.#DR$;'^J9W5_28BD&lt;(6T;8:F)%^S0#^$;'^J9W5_$1I]1WBP;7.F0E*J&gt;#"$&lt;'6B=DQP1WBP;7.F0AU+0%.I&lt;WFD:4Z/&lt;X1A1W^Q?4QP1WBP;7.F0AU+0%.I&lt;WFD:4Z/&lt;X1A4X)],U.I&lt;WFD:4Y.#DR$;'^J9W5_4G^S)%6Y9WRV=WFW:3"0=DQP1WBP;7.F0AU+0%.I&lt;WFD:4Z/&lt;X1A1GFU)%.M:7&amp;S0#^$;'^J9W5_$1I]6G&amp;M0D!],V:B&lt;$Y.#DQP26=_$1I]25Q_$1I]4G&amp;N:4Z4&gt;(FM:4QP4G&amp;N:4Y.#DR$;'^J9W5_5W^M;71],U.I&lt;WFD:4Y.#DR$;'^J9W5_2'&amp;T;$QP1WBP;7.F0AU+0%.I&lt;WFD:4Z%&lt;X1],U.I&lt;WFD:4Y.#DR$;'^J9W5_2'&amp;T;#"%&lt;X1],U.I&lt;WFD:4Y.#DR$;'^J9W5_2'&amp;T;#"%&lt;X1A2'^U0#^$;'^J9W5_$1I]6G&amp;M0D!],V:B&lt;$Y.#DQP25Q_$1I]25Q_$1I]4G&amp;N:4Z';7RM)&amp;*V&lt;'5],UZB&lt;75_$1I]1WBP;7.F0E6W:7YA4W2E0#^$;'^J9W5_$1I]1WBP;7.F0F&gt;J&lt;G2J&lt;G=],U.I&lt;WFD:4Y.#DR797Q_-$QP6G&amp;M0AU+0#^&amp;4$Y.#DR&amp;4$Y.#DR/97VF0E6O:#"$98"T0#^/97VF0AU+0%.I&lt;WFD:4Z%:7:B&gt;7RU0#^$;'^J9W5_$1I]1WBP;7.F0E:M981],U.I&lt;WFD:4Y.#DR797Q_-$QP6G&amp;M0AU+0#^&amp;4$Y.#DQP1WRV=X2F=DY.#A!!!!!</Property>
	<Property Name="NI.LVClass.EdgeWirePen" Type="Bin">#'#!!1!!!!)!"1!&amp;!!!-!%!!!@````]!!!!"!!%!!!6%0%.M&gt;8.U:8)_$1I]4G&amp;N:4Z1:7Y],UZB&lt;75_$1I]4H6N27RU=TYY0#^/&gt;7V&amp;&lt;(2T0AU+0&amp;5T-DY.#DR/97VF0E:P=G6H=G^V&lt;G1A1W^M&lt;X)],UZB&lt;75_$1I]6G&amp;M0D-S.T9Y0#^797Q_$1I],V5T-DY.#DR6-T)_$1I]4G&amp;N:4Z#97.L:X*P&gt;7ZE)%.P&lt;'^S0#^/97VF0AU+0&amp;:B&lt;$YR.D=X.T)R.4QP6G&amp;M0AU+0#^6-T)_$1I]1WRV=X2F=DY.#DR/97VF0E:J&lt;'QA5'&amp;U&gt;'6S&lt;DQP4G&amp;N:4Y.#DR/&gt;7V&amp;&lt;(2T0DA],UZV&lt;56M&gt;(-_$1I]64A_$1I]4G&amp;N:4Z3&lt;X=A-$QP4G&amp;N:4Y.#DR797Q_/$5],V:B&lt;$Y.#DQP64A_$1I]64A_$1I]4G&amp;N:4Z3&lt;X=A-4QP4G&amp;N:4Y.#DR797Q_-4=Q0#^797Q_$1I],V5Y0AU+0&amp;5Y0AU+0%ZB&lt;75_5G^X)$)],UZB&lt;75_$1I]6G&amp;M0DAV0#^797Q_$1I],V5Y0AU+0&amp;5Y0AU+0%ZB&lt;75_5G^X)$-],UZB&lt;75_$1I]6G&amp;M0D%X-$QP6G&amp;M0AU+0#^6/$Y.#DR6/$Y.#DR/97VF0F*P&gt;S!U0#^/97VF0AU+0&amp;:B&lt;$YY.4QP6G&amp;M0AU+0#^6/$Y.#DR6/$Y.#DR/97VF0F*P&gt;S!V0#^/97VF0AU+0&amp;:B&lt;$YR.T!],V:B&lt;$Y.#DQP64A_$1I]64A_$1I]4G&amp;N:4Z3&lt;X=A.DQP4G&amp;N:4Y.#DR797Q_/$5],V:B&lt;$Y.#DQP64A_$1I]64A_$1I]4G&amp;N:4Z3&lt;X=A.TQP4G&amp;N:4Y.#DR797Q_-4=Q0#^797Q_$1I],V5Y0AU+0#^$&lt;(6T&gt;'6S0AU+0%ER.DY.#DR/97VF0F&gt;J:(2I0#^/97VF0AU+0&amp;:B&lt;$YT0#^797Q_$1I],UER.DY.#DR&amp;6TY.#DR/97VF0EVP:'5],UZB&lt;75_$1I]1WBP;7.F0E.P=(E],U.I&lt;WFD:4Y.#DR$;'^J9W5_4X)],U.I&lt;WFD:4Y.#DR$;'^J9W5_28BD&lt;(6T;8:F)%^S0#^$;'^J9W5_$1I]1WBP;7.F0E*J&gt;#"$&lt;'6B=DQP1WBP;7.F0AU+0%.I&lt;WFD:4Z/&lt;X1A1W^Q?4QP1WBP;7.F0AU+0%.I&lt;WFD:4Z/&lt;X1A4X)],U.I&lt;WFD:4Y.#DR$;'^J9W5_4G^S)%6Y9WRV=WFW:3"0=DQP1WBP;7.F0AU+0%.I&lt;WFD:4Z/&lt;X1A1GFU)%.M:7&amp;S0#^$;'^J9W5_$1I]6G&amp;M0D!],V:B&lt;$Y.#DQP26=_$1I]25Q_$1I]4G&amp;N:4Z4&gt;(FM:4QP4G&amp;N:4Y.#DR$;'^J9W5_5W^M;71],U.I&lt;WFD:4Y.#DR$;'^J9W5_2'&amp;T;$QP1WBP;7.F0AU+0%.I&lt;WFD:4Z%&lt;X1],U.I&lt;WFD:4Y.#DR$;'^J9W5_2'&amp;T;#"%&lt;X1],U.I&lt;WFD:4Y.#DR$;'^J9W5_2'&amp;T;#"%&lt;X1A2'^U0#^$;'^J9W5_$1I]6G&amp;M0D!],V:B&lt;$Y.#DQP25Q_$1I]25Q_$1I]4G&amp;N:4Z';7RM)&amp;*V&lt;'5],UZB&lt;75_$1I]1WBP;7.F0E6W:7YA4W2E0#^$;'^J9W5_$1I]1WBP;7.F0F&gt;J&lt;G2J&lt;G=],U.I&lt;WFD:4Y.#DR797Q_-$QP6G&amp;M0AU+0#^&amp;4$Y.#DR&amp;4$Y.#DR/97VF0E6O:#"$98"T0#^/97VF0AU+0%.I&lt;WFD:4Z%:7:B&gt;7RU0#^$;'^J9W5_$1I]1WBP;7.F0E:M981],U.I&lt;WFD:4Y.#DR797Q_-$QP6G&amp;M0AU+0#^&amp;4$Y.#DQP1WRV=X2F=DY.#A!!!!!</Property>
	<Property Name="NI.LVClass.FlattenedPrivateDataCTL" Type="Bin">#'#!!1!!!!)!"1!&amp;!!!-!%!!!@````]!!!!"!!%!!";O5F.31QU+!!.-6E.$4%*76Q!!%M1!!!0K!!!!)!!!%K1!!!!Q!!!!!B6)2U:@1G&amp;T:5.M98.T:8-O&lt;(:M;7)63%&gt;'8V*F:G6S:7ZD:3ZM&gt;G.M98.T!!!!?!BAA!%!-!!!#!!!!!!!!!1!!Q!]!,Q!(U#!!A!!!!!"!!%!"P````]!!!!!!!!!!!!!!!$&amp;2^PJ30EG2)/MH/U[_1:)!!!!$!!!!"!!!!!!&amp;6^?LKJ!LE[C+C_]G_&amp;-$.1&gt;D.G0!,)%[9!*G/TY1HY!!%!!!!!!!!!!!"!!!!!!!!!!!!!!!!!!!!!!!!!!:Q!"4&amp;:$1TV)2U:@1G&amp;T:5.M98.T:8-O&lt;(:M;7)[3%&gt;'8V*F:G6S:7ZD:3ZM&gt;G.M98.T/EB(2F^3:7:F=G6O9W5O9X2M!!!!!!!"!!*735R#!!!!!&amp;"53$!!!!!&amp;!!%!!1!!!!!#!!-!!!!!!A!"!!!!!!!C!!]!!B!!%!%1!!!%%!!1!$!!%!!1!"!!-!!!#!!)%!A1!!!!!!!!3!!!!2RYH'.AQ!E9'2B9/)!U&amp;UTA0R"!R*F"YCSYN:)0I(:AM0'*Y1%#-'U-$%R8A$1T%(.!B*A?!0%(:-8]1"S/R!=!2A)51A!!!%Q!!6:*2&amp;-^3%&gt;'8U*B=W6$&lt;'&amp;T=W6T,GRW&lt;'FC/EB(2F^3:7:F=G6O9W5O&lt;(:D&lt;'&amp;T=TJ)2U:@5G6G:8*F&lt;G.F,G.U&lt;!!!!!!!!!!$!!!"11!!!B"YH/NA:'$).,9Q/Q+E93!Z0S5620]"CH7_W'=):(97]"RXU"%%MA*#OVU:`APUJKBQW))5F&lt;,P!&amp;'(*`R`-'(#B0CYK-DIW--41LNT6$C#!Y0#QLN,6&amp;3[;V1U8K?@Y'"A!!M&amp;&gt;,NS&gt;,L_C1$30*WO0S,_F`\)!*E"Z0`J:OBU57'*?!(CQ_UI98KNO)-&amp;S'"U`1/F@Y!6R`\I&amp;OA5DA#\!'TV3;!\NH9!X2U?^K,H````1#.Y],CJ$+?&lt;OEP`&gt;.@__'`_XQT6+4N!Y64##L;R6"`&gt;52"&gt;X7T&gt;ZJ9@5&amp;3SAHEQ*Q)&gt;VQRR(!=7RZ5S\(A.#H)XD2U+9.JB"]B(H7YO'3"$1O%/AOG&gt;!?2T-4%Q+!/FT9(U&amp;C"^')B"KI(7`!?J:W2A96"GG-9YDX%:0+;&gt;`6V=':!!+,Y"Y\W&gt;]Q!!!!!!!!M)9)!"!!!$/#YW!!!!!!"?!!!!7F2I;8-A;8-A&gt;'BF)%B(2F^3:7:F=G6O9W5A9WRB=X-A;'^M:'FO:S"B&lt;HEA4'&amp;C6EF&amp;6S"P9GJF9X1A;7YA93"T;7ZH&lt;'5A:7RF&lt;76O&gt;#"T;8JF)(&amp;V:86F,A!!!!!!A0``````````T_```^@@```/T:MRV6KV7^4:MV(``````````Y!!!!'!!!!"A!!'!9!!'9'!!'"BA!'!'9!#!!7!!Q!.A%,!.9!C-/W!%A^6P`I#L9!3!V7!)A+NA%)$69!#!KW!!A.6A!'#O9!!9W'!!"O"A!!'!9!!!!(`````!!!%!0```````````````````````````````````````````]D)S-D)S-D)S-D)S-D)S-D)S-D)S-D)S-D)S-D)S0``S!!!S-D)S-D)S!$)S-D)S-D)S-D)S-D)S-D)S-D)```)!-A!S-D)S-A!S-D)S-D)S-D)S-D)S-D)S-D)S-D``]A!!-D)S!$)S!!!S-A!S-A!!-D)!-D)!!$)S!!!!0``S!$)!-A!S!$)!-D)!-A!S!$)S!$)!-A!S!$)S!$)```)!-A!S!!!S-A!S-A!!-D)!-D)!!$)S!$)!-A!!!$``]D)S-D)S-D)S-D)S-D)S-D)S-D)S-D)S-D)S-D)S0````````````````````````````````````````````]!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!$``Q!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!0``!!!!!!!!!!!!!!!!!!!!!!!!!!"Y?!!!!!!!!!!!``]!!!!!!!!!!!!!!!!!!!!!!!"YL+KLL(A!!!!!!!$``Q!!!!!!!!!!!!!!!!!!!!"YL+KDI[/DK[RY!!!!!0``!!!!!!!!!!!!!!!!!!"YL+KDI[/DI[/DI[OM?!!!``]!!!!!!!!!!!!!!!!!K[KDI[/DI[/DI[/DI[/LL!$``Q!!!!!!!!!!!!!!!!#KKK/DI[/DI[/DI[/DI`[L!0``!!!!!!!!!!$`!!!!!+KLK[KDI[/DI[/DI`\_`KI!``]!!!!!!!!!!!$`!!!!KKOLK[OKI[/DI`\_`P\_KA$``Q!!!!!!!!!!!!$`!!#KK[OLK[OLKKT_`P\_`P[K!0``!0``````````````!+KLK[OLK[OL`P\_`P\_`KI!``]!!!!!!!!!!!!!`Q!!KKOLK[OLK[P_`P\_`P\_KA$``Q!!!!!!!!!!!0]!!!#KK[OLK[OLK`\_`P\_`P[K!0``!!!!!!!!!!$`!!!!!+KLK[OLK[OL`P\_`P\_`KI!``]!!!!!!!!!!!!!!!!!KKOLK[OLK[P_`P\_`P\_KA$``Q!!!!!!!!!!!!!!!!#LK[OLK[OLK`\_`P\_`KOL!0``!!!!!!!!!!!!!!!!!!#EKKOLK[OL`P\_`KOMJ!!!``]!!!!!!!!!!!!!!!!!!!!!J+OLK[P_`KOLJ!!!!!$``Q!!!!!!!!!!!!!!!!!!!!!!!+3LK[OLIQ!!!!!!!0``!!!!!!!!!!!!!!!!!!!!!!!!!!#EIQ!!!!!!!!!!``]!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!$```````````````````````````````````````````]!!!!#!!%!!!!!!!1!"1!2!!!!4!!"2F")5$V)2U:@1G&amp;T:5.M98.T:8-O&lt;(:M;7)[3%&gt;'8V*F:G6S:7ZD:3ZM&gt;G.M98.T/EB(2F^3:7:F=G6O9W5O9X2M!!!!!!!!!!-!!!1$!!!*38C=N66@;"R&amp;'0^GOUHHUM&lt;&lt;D3WZR93&lt;BLUE`EF)&amp;&lt;(KAZ*OR*21'^/,GB?\S5W4S/8/XGV%&amp;&amp;+&amp;"9H1*S7IJ)AA+4[)$XH1RSLJU\XU3=%C3U#%&amp;P%@L2[R&gt;_MXE\W\T?6#LR2XW:H:\`P.^]X]PN`/!E2'N*B3BK7C&gt;AO\M6+K1!$5!3V*`A6SS#!FGN3O+783B:Z?/G1NQR`IX52PKW&lt;AD$;U&gt;_IH4%]TP_ISFVP1?9'5F:@._$`UAJP&amp;9/$WCV9@)'5AVB&amp;6&gt;8N/W2HOGM);';#'D"-J7I8WH/HV92B-]FUN$G#=@FB@8[^$^MK%R_Y!T*P?)R,96A&amp;;]@)(9GE#79=X#QB(\*MV&lt;/H:BNCZIOE.5Y.OJHZM;2^XPQ9#2(V60SF9EY#/EI6-*JY#&lt;1,@*EJO14E$;E#&gt;7K//0#?JCVD,'NS2/UP&gt;[/E_HF\-/TT(MG@:4.L/Z^HLO@EX&lt;)?TF/X9$6C.0#(W*$,)UI8)SM,;WBJO#^MQPN0U&gt;I#2M&amp;3.""%`4)*60$ULC""&lt;&amp;;*25$4&amp;?O(IWP]KH/[F:I5DE%U*J`P]X1D(+GB\+7&gt;F:75PZ;C%&lt;#P(P?L@^G](_F%E&lt;,RU&lt;VJBL3$UYP:E\)6[SNJ%F2]VP1.VKL$CPC\8P,7VB7P'&gt;DO9?Q4?1@:.9&gt;EJL&lt;O43O)63%Q"#O:+YGV&amp;5+".I?P&lt;EBY4W^YQ(DQ^RZF9L^#WA_-=0]NT0$0$W1*KHEVTNJC:0\@)"T?-QUEZ#E(%R%C-4K%1A[4*#I@\\_&amp;\CYYP]H#?"P+D2UW09-S1CKXYT]-.6%5@.TV\*X+X`!Y%(WX!&lt;&amp;BQ?HR&lt;)!(8PYI:1?5U;E4CI64'U\M`_WK"'SEY^K4J'@6L_WXPU[^3T@9T^;5E'];*&amp;[NV=&lt;,-:PHZT'S;-Z\G#TTDY/N&lt;H*W4R$JTNM0GMOF5@G@*5SQ\`2K@=1;$GIJTF"T%%D,N7/AQ58=&gt;*MW66M83XD&gt;G4U_/DLT%8J#:'F1W&gt;L3*?EGW(].[V7C__8Q4P,U&lt;(*NU!ENX-B3&gt;8K-4C&lt;Z^JO8P=GAD'/:]S4L?=&lt;GF0&gt;'V8RP&gt;`O/1-LGJ^G$!54KC853G3*&amp;?J,@5\^5R^SJ]I8RK@B+H-;"1O:Y"YH`G^]&amp;(]!UIUB+&amp;"\#^"/_"DA]S*=?8M.?F(]@_JP]$8);`Y7(`OJSV"*](XCC]$`?$#L/QCG/!L0$Y@V6NY2SL;.(R%4F7J&lt;?3!]@_&gt;@]H_"BO1+P`/VL[U5O$O&gt;VQ'+.&amp;Y5/*\E4M&amp;L2B,X9T#3X9%`1GI10W!=0\)9C""I.S05-Q"I=1UQP$%06`A4BU1;&gt;`1^K']#&lt;_H\D'+)T$1=QB:I/=.?2`+5=6#`:6XKI8G@Q0).CI81!!!!!)!!!!/1!!$)I!!!"-!!&amp;#2%B105B(2F^#98.F1WRB=X.F=SZM&gt;GRJ9DJ)2U:@5G6G:8*F&lt;G.F,GRW9WRB=X-[3%&gt;'8V*F:G6S:7ZD:3ZD&gt;'Q!!!!!!!!!!Q!!!')!!!"X?*RD9'!I&amp;J"A_M&gt;1^V@A+Z#3`C(IR`C&lt;A9(44_!QE'95E!1+SPY6V!9,;L0IKL)RKFAR=UBS("&lt;E!)NRN'AQ`0``8[7)E?-LST57(Z6:]BQ3$)Q-T!SYA1Q!"(M8N!!!!!!!#!!!!!=!!!&amp;[!!!#-1!!!!9!!!!;4&amp;:$&lt;'&amp;T=V"S;8:B&gt;'6%982B6'&amp;C4X*E:8))9)!"!!!!!A!&amp;!!=!!!Q!1!!"`````Q!!!!%!!1!!!!)!!!!!!!!!!1!!!!!!!!!&lt;4&amp;:$&lt;'&amp;T=V"S;8:B&gt;'6%982B6'FN:8.U97VQ#'#!!1!!!!%!"1!(!!!"!!$&amp;B\[Y!!!!!!!!!#:-6E.M98.T5(*J&gt;G&amp;U:52B&gt;'&amp;-98.U18"Q&lt;'FF:&amp;2J&lt;76T&gt;'&amp;N=!BAA!%!!!!"!!5!"Q!!!1!!R9?_O!!!!!!!!!!;4&amp;:$&lt;'&amp;T=V"S;8:B&gt;'6%982B6(FQ:52F=W-)9)!"!!!!!1!)!$$`````!!%!!!!!!')!!!!%!!Z!-0````]%&lt;G&amp;N:1!!+%"Q!"Y!!!Z-97*73568)%^C;G6D&gt;!!/4'&amp;C6EF&amp;6S"09GJF9X1!!"J!=!!3!!%!!1^2&gt;76V:3"S:7:F=G6O9W5!#A"1!!)!!!!#!!%!!Q!!!!!!!!!?4&amp;:$&lt;'&amp;T=V"S;8:B&gt;'6%982B2':M&gt;%2B&gt;'&amp;4;8JF#'#!!1!!!!%!"1!$!!!"!!!!!!!)!!!!!!!!!"J-6E.M98.T5(*J&gt;G&amp;U:52B&gt;'&amp;%:GRU2'&amp;U91BAA!%!!!!%!!Z!-0````]%&lt;G&amp;N:1!!+%"Q!"Y!!!Z-97*73568)%^C;G6D&gt;!!/4'&amp;C6EF&amp;6S"09GJF9X1!!"J!=!!3!!%!!1^2&gt;76V:3"S:7:F=G6O9W5!#A"1!!)!!!!#!!%!!Q!!!!!!!!!!!!!!!!!!!!!!!!1!!!"X!!!!-!!!!!%!!!!#!!!!"-7(PNI!!!!!!!!!!!!!!"!!!!!%R9?_WA!!!"=!!!!!!!!!%!!!!#Y!!!!&amp;1H*B&lt;G1!!!!$/#YV!!!!!TAO.A!!!!6#=G&amp;O:!!!!!-Y,D5!!!!$/#YW!!!!!!!I!!!!!A!!"1!!!!!%!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!)!!!!!!!1!!!!!!!!!!!!!!!!!!!+%;FB)!!!!!-A-[!F66"5%!4A!*!!!!!A!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!+OK+D[LKCI_K[IK0KOK+DY!!!!!-A-[!A!!!$]!!!!!!!!!!!!!!7I!!!*L?*S.5,F/QU!5(-@/"3%(%)Z!AK'C1!B_!&amp;F%8")3)181A7/P5:"*)B^23C1+_#1K/P['BC_!M&gt;=2C7D96_T-OX:W!'SB;/R^]WA^]V%!W]9!$;"Y&lt;H;OTI[O^9P/A\##0RQV^MV$A6+[$%5I&gt;%]YQB-^3]$$V]@,_RM!N8J[=HR\;0KC[:K_,`R&gt;&gt;_BW/X'W0?ZHTIKKF?GM&amp;&lt;CY-6J)=5_KXH2$0R#?XH@UO&amp;E@?.WB'1D&gt;.A-4-\!!Z2-;UF"";H.IHS3(/[)#-^'C$,+S&amp;3M5HD?S5"XX(DHD3?WX!ZE1@1&gt;F0KOS=R9&amp;.&lt;1&gt;7P)`'4H%2H)SM9&lt;72J-FF&amp;8&lt;M3&gt;9-*JE@8?3C6(![2&lt;6TK')#P%#&amp;B0&gt;/^S:Q40T]I]J`F&amp;7$&amp;9E?K5.%C%WB-L4,#:?;$DA\P5Y[EGEYZBGPXQ=D4DEOQIWO!GIUC?.G`.%3VCGL[OI91U[&amp;5&lt;K.HF,J0Q!_S&amp;K\Q!!!!!!8Q!"!!)!!Q!%!!!!3!!."!!!!!!.!.!!O1!!!%]!$11!!!!!$1$1!,E!!!"7!!U%!!!!!!U!U!#Z!!!!89!!B!#!!!!.!.!!O1:597BP&lt;7%'6'&amp;I&lt;WVB"F2B;'^N91%Q!&amp;*45E-.#A!$4&amp;:$1UR#6F=!!",%!!!$[A!!!#!!!"+E!!!!!!!!!!!!!!!A!!!!.!!!!^A!!!!=4%F#4A!!!!!!!!&amp;A4&amp;:45A!!!!!!!!&amp;U5F242Q!!!!!!!!')4%FW;1!!!!!!!!'=1U^/5!!!!!!!!!'Q6%UY-!!!!!!!!!(%2%:%5Q!!!!!!!!(94%FE=Q!!!!!!!!(M6EF$2!!!!!!!!!)!&gt;G6S=Q!!!!!!!!)55V232Q!!!!!!!!)I35.04A!!!!!!!!)];7.M/!!!!!!!!!*11V"$-A!!!!!!!!*E2&amp;2)5!!!!!!!!!*Y4%FG=!!!!!!!!!+-2F")9Q!!!!!!!!+A2F"421!!!!!!!!+U4%FC:!!!!!!!!!,)1E2)9Q!!!!!!!!,=1E2421!!!!!!!!,Q6EF55Q!!!!!!!!-%466*2!!!!!!!!!-93%**4A!!!!!!!!-M3%*62A!!!!!!!!.!3%F46!!!!!!!!!.55&amp;*5)!!!!!!!!!.I6E.55!!!!!!!!!.]2F2"1A!!!!!!!!/1!!!!!0````]!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!U!!!!!!!!!!$`````!!!!!!!!!,!!!!!!!!!!!0````]!!!!!!!!!R!!!!!!!!!!!`````Q!!!!!!!!%Q!!!!!!!!!!$`````!!!!!!!!!4A!!!!!!!!!!0````]!!!!!!!!"9!!!!!!!!!!!`````Q!!!!!!!!'M!!!!!!!!!!$`````!!!!!!!!!@Q!!!!!!!!!"0````]!!!!!!!!$2!!!!!!!!!!!`````Q!!!!!!!!.5!!!!!!!!!!$`````!!!!!!!!!\A!!!!!!!!!!0````]!!!!!!!!%0!!!!!!!!!!!`````Q!!!!!!!!B!!!!!!!!!!!$`````!!!!!!!!#%A!!!!!!!!!!0````]!!!!!!!!)5!!!!!!!!!!!`````Q!!!!!!!!CA!!!!!!!!!!$`````!!!!!!!!$+A!!!!!!!!!!0````]!!!!!!!!-N!!!!!!!!!!!`````Q!!!!!!!!U%!!!!!!!!!!$`````!!!!!!!!$7Q!!!!!!!!!!0````]!!!!!!!!.?!!!!!!!!!!!`````Q!!!!!!!!_Q!!!!!!!!!!$`````!!!!!!!!$\A!!!!!!!!!!0````]!!!!!!!!0\!!!!!!!!!!!`````Q!!!!!!!"!A!!!!!!!!!!$`````!!!!!!!!%%Q!!!!!!!!!!0````]!!!!!!!!1U!!!!!!!!!#!`````Q!!!!!!!"*!!!!!!"&amp;)2U:@5G6G:8*F&lt;G.F,G.U&lt;!!!!!!</Property>
	<Property Name="NI.LVClass.Geneology" Type="Xml"><String>

<Name></Name>

<Val>!!!!!B6)2U:@1G&amp;T:5.M98.T:8-O&lt;(:M;7)63%&gt;'8V*F:G6S:7ZD:3ZM&gt;G.M98.T5&amp;2)-!!!!!!!!!!!!!!!"!!"!!!!!!!!!1!!!!%!"A"1!!!!!1!!!!!!!!!!!!!"$ERB9F:*26=A4W*K:7.U!&amp;"53$!!!!!!!!!!!!!)5)!#!!!!!!!!!!!!!!!!!1!!!!!!!1%!!!!$!#B!=!!?!!!/4'&amp;C6EF&amp;6S"09GJF9X1!$ERB9F:*26=A4W*K:7.U!!!;1(!!%A!"!!!0586F&gt;75A=G6G:8*F&lt;G.F!&amp;I!]=/UOR-!!!!#&amp;5B(2F^3:7:F=G6O9W5O&lt;(:D&lt;'&amp;T=R&amp;)2U:@5G6G:8*F&lt;G.F,G.U&lt;!"!1&amp;!!!1!"(5.M&gt;8.U:8)A&lt;W9A9WRB=X-A=(*J&gt;G&amp;U:3"E982B!!%!!A!!!!(`````!!!!!!!!!!!!!!%/4'&amp;C6EF&amp;6S"09GJF9X1!5&amp;2)-!!!!!!!!!!!!!B1A!)!!!!!!!!!!!!!!!!"!!!!!!!!!!!!!!-!+%"Q!"Y!!!Z-97*73568)%^C;G6D&gt;!!/4'&amp;C6EF&amp;6S"09GJF9X1!!"J!=!!3!!%!!!^2&gt;76V:3"S:7:F=G6O9W5!7A$RQ\3\%Q!!!!)63%&gt;'8V*F:G6S:7ZD:3ZM&gt;G.M98.T%5B(2F^3:7:F=G6O9W5O9X2M!%"!5!!"!!%&gt;1WRV=X2F=C"P:C"D&lt;'&amp;T=S"Q=GFW982F)'2B&gt;'%!!1!#!!!!!@````Y!!!!!!!!!!!!!!1Z-97*73568)%^C;G6D&gt;!"16%AQ!!!!!!!!!!!!#&amp;#!!A!!!!!!!!!!!!!!!!%!!!!!!!%!!!!!"!!/1$$`````"'ZB&lt;75!!#B!=!!?!!!/4'&amp;C6EF&amp;6S"09GJF9X1!$ERB9F:*26=A4W*K:7.U!!!;1(!!%A!"!!%0586F&gt;75A=G6G:8*F&lt;G.F!()!]=2F&lt;!!!!!!$&amp;5B(2F^#98.F1WRB=X.F=SZM&gt;GRJ9B6)2U:@5G6G:8*F&lt;G.F,GRW9WRB=X-23%&gt;'8V*F:G6S:7ZD:3ZD&gt;'Q!7%"1!!)!!!!#(5.M&gt;8.U:8)A&lt;W9A9WRB=X-A=(*J&gt;G&amp;U:3"E982B!!%!!Q!!!!,`````!!!!!!!!!!!!!!!!!!!!!!%/4'&amp;C6EF&amp;6S"09GJF9X1!5&amp;2)-!!!!!!!!!!!!!B1A!)!!!!!!!!!!!!"!!!!&amp;5B(2F^3:7:F=G6O9W5O&lt;(:D&lt;'&amp;T=Q</Val>

</String>

</Property>
	<Item Name="HGF_Reference.ctl" Type="Class Private Data" URL="HGF_Reference.ctl">
		<Property Name="NI.LibItem.Scope" Type="Int">2</Property>
	</Item>
	<Item Name="create.vi" Type="VI" URL="../create.vi">
		<Property Name="NI.ClassItem.ConnectorPane" Type="Bin">#'#!!1!!!!)!"1!&amp;!!!-!%!!!@````]!!!!"!!%!!!%X!!!!#A!A1(!!(A!!$ERB9F:*26=A4W*K:7.U!!:09GJF9X1!!!1!!!!/1$$`````"'ZB&lt;75!!!R!)1:T&gt;'&amp;U&gt;8-!!!N!!Q!%9W^E:1!!%%!Q`````Q:T&lt;X6S9W5!!#"!5!!$!!-!"!!&amp;%W6S=G^S)'FO)#BO&lt;S"F=H*P=CE!2%"Q!"Y!!#U63%&gt;'8U*B=W6$&lt;'&amp;T=W6T,GRW&lt;'FC&amp;5B(2F^3:7:F=G6O9W5O&lt;(:D&lt;'&amp;T=Q!.3%&gt;'8V*F:G6S:7ZD:1!71&amp;!!!Q!$!!1!"1FF=H*P=C"P&gt;81!8!$Q!"1!!!!"!!)!!1!"!!9!!1!"!!%!!1!"!!%!!1!"!!=!!1!"!!%!!1!)!Q!"%!I!!!!)!!!!!!!+!!!!!!!!!!!!!!!!!!!!!!!*!!!!!!!!!!!!$15!!!!"!!E!!!!!</Property>
		<Property Name="NI.ClassItem.ExecutionSystem" Type="Int">-1</Property>
		<Property Name="NI.ClassItem.Flags" Type="Int">0</Property>
		<Property Name="NI.ClassItem.IsStaticMethod" Type="Bool">true</Property>
		<Property Name="NI.ClassItem.MethodScope" Type="UInt">1</Property>
		<Property Name="NI.ClassItem.Priority" Type="Int">1</Property>
		<Property Name="NI.ClassItem.State" Type="Int">1342841360</Property>
	</Item>
	<Item Name="destroy.vi" Type="VI" URL="../destroy.vi">
		<Property Name="NI.ClassItem.ConnectorPane" Type="Bin">#'#!!1!!!!)!"1!&amp;!!!-!%!!!@````]!!!!"!!%!!!&amp;=!!!!#Q"%1(!!(A!!,26)2U:@1G&amp;T:5.M98.T:8-O&lt;(:M;7)63%&gt;'8V*F:G6S:7ZD:3ZM&gt;G.M98.T!!V)2U:@5G6G:8*F&lt;G.F!!1!!!!=1#%7&gt;W&amp;J&gt;#"G&lt;X)A97.U;8:J&gt;(E`)#B'+1!!&amp;U!$!""U;7VF&lt;X6U)#^N=S!I,4%J!!!-1#%'=X2B&gt;(6T!!!,1!-!"'.P:'5!!""!-0````]'=W^V=G.F!!!A1&amp;!!!Q!%!!5!"B.F=H*P=C"J&lt;C!I&lt;G]A:8*S&lt;X)J!#"!=!!?!!!/4'&amp;C6EF&amp;6S"09GJF9X1!"E^C;G6D&gt;!!!&amp;E"1!!-!"!!&amp;!!9*:8*S&lt;X)A&lt;X6U!&amp;Q!]!!5!!!!!1!#!!-!!1!(!!%!!1!"!!%!!1!"!!%!!1!)!!%!!1!"!!%!#1-!!2!1!!!!#!!)!!!!#!!!!!!!!!!!!!!!!!!!!!!!#1!!!!!!!!!!!!E!!!!!!1!+!!!!!!</Property>
		<Property Name="NI.ClassItem.ExecutionSystem" Type="Int">-1</Property>
		<Property Name="NI.ClassItem.Flags" Type="Int">0</Property>
		<Property Name="NI.ClassItem.IsStaticMethod" Type="Bool">true</Property>
		<Property Name="NI.ClassItem.MethodScope" Type="UInt">1</Property>
		<Property Name="NI.ClassItem.Priority" Type="Int">1</Property>
		<Property Name="NI.ClassItem.State" Type="Int">1082270224</Property>
	</Item>
	<Item Name="checkin.vi" Type="VI" URL="../checkin.vi">
		<Property Name="NI.ClassItem.ConnectorPane" Type="Bin">#'#!!1!!!!)!"1!&amp;!!!-!%!!!@````]!!!!"!!%!!!'N!!!!$!"%1(!!(A!!,26)2U:@1G&amp;T:5.M98.T:8-O&lt;(:M;7)63%&gt;'8V*F:G6S:7ZD:3ZM&gt;G.M98.T!!V)2U:@5G6G:8*F&lt;G.F!!1!!!!A1(!!(A!!$ERB9F:*26=A4W*K:7.U!!:09GJF9X1!!"&gt;!!Q!1&gt;'FN:7^V&gt;#!P&lt;8-A+#UR+1!!$%!B"H.U982V=Q!!#U!$!!2D&lt;W2F!!!11$$`````"H.P&gt;8*D:1!!)%"1!!-!"!!&amp;!!94:8*S&lt;X)A;7YA+'ZP)'6S=G^S+1")1(!!(A!!,26)2U:@1G&amp;T:5.M98.T:8-O&lt;(:M;7)63%&gt;'8V*F:G6S:7ZD:3ZM&gt;G.M98.T!"&amp;E&gt;8!A3%&gt;'8V*F:G6S:7ZD:1!11#%+&gt;'FN:71A&lt;X6U0Q!!&amp;E"1!!-!"!!&amp;!!9*:8*S&lt;X)A&lt;X6U!(%!]!!5!!!!!1!#!!-!!1!(!!%!!1!"!!%!!1!"!!%!!1!)!!%!!1!*!!%!#A-!!2!1!!!!%A!)!!!!#!!!!!!!!!!!!!!!!!!!!!!!$1!!!!!!#1!!!!E!!"5!!!!!!!!!!!!!!!!!!!%!!!!!!!!!!1!,!!!!!!</Property>
		<Property Name="NI.ClassItem.ExecutionSystem" Type="Int">-1</Property>
		<Property Name="NI.ClassItem.Flags" Type="Int">0</Property>
		<Property Name="NI.ClassItem.IsStaticMethod" Type="Bool">true</Property>
		<Property Name="NI.ClassItem.MethodScope" Type="UInt">1</Property>
		<Property Name="NI.ClassItem.Priority" Type="Int">1</Property>
		<Property Name="NI.ClassItem.State" Type="Int">1082270224</Property>
	</Item>
	<Item Name="checkout.vi" Type="VI" URL="../checkout.vi">
		<Property Name="NI.ClassItem.ConnectorPane" Type="Bin">#'#!!1!!!!)!"1!&amp;!!!-!%!!!@````]!!!!"!!%!!!'P!!!!$!"%1(!!(A!!,26)2U:@1G&amp;T:5.M98.T:8-O&lt;(:M;7)63%&gt;'8V*F:G6S:7ZD:3ZM&gt;G.M98.T!!V)2U:@5G6G:8*F&lt;G.F!!1!!!!:1!-!%H2J&lt;76P&gt;81A;7YA&lt;8-A+#UR+1!!$%!B"H.U982V=Q!!#U!$!!2D&lt;W2F!!!11$$`````"H.P&gt;8*D:1!!)%"1!!-!!Q!%!!54:8*S&lt;X)A;7YA+'ZP)'6S=G^S+1")1(!!(A!!,26)2U:@1G&amp;T:5.M98.T:8-O&lt;(:M;7)63%&gt;'8V*F:G6S:7ZD:3ZM&gt;G.M98.T!"&amp;E&gt;8!A3%&gt;'8V*F:G6S:7ZD:1!A1(!!(A!!$ERB9F:*26=A4W*K:7.U!!:09GJF9X1!!""!)1NH&lt;X1A&lt;W*K:7.U0Q!71&amp;!!!Q!$!!1!"1FF=H*P=C"P&gt;81!=1$Q!"1!!!!"!!%!!A!"!!9!!1!"!!%!!1!"!!%!!1!"!!=!!1!)!!E!!1!+!Q!"%!A!!!!!!!A!!!!)!!!!!!!!!!!!!!!!!!!!!!!.!!!!#1!*!!!!#1!!&amp;1!!!!!!!!!!!!!!!!!!!1!!!!!!!!!"!!M!!!!!</Property>
		<Property Name="NI.ClassItem.ExecutionSystem" Type="Int">-1</Property>
		<Property Name="NI.ClassItem.Flags" Type="Int">0</Property>
		<Property Name="NI.ClassItem.IsStaticMethod" Type="Bool">true</Property>
		<Property Name="NI.ClassItem.MethodScope" Type="UInt">1</Property>
		<Property Name="NI.ClassItem.Priority" Type="Int">1</Property>
		<Property Name="NI.ClassItem.State" Type="Int">1082270224</Property>
	</Item>
	<Item Name="get_name.vi" Type="VI" URL="../get_name.vi">
		<Property Name="NI.ClassItem.ConnectorPane" Type="Bin">#'#!!1!!!!)!"1!&amp;!!!-!%!!!@````]!!!!"!!%!!!&amp;U!!!!#A"%1(!!(A!!,26)2U:@1G&amp;T:5.M98.T:8-O&lt;(:M;7)63%&gt;'8V*F:G6S:7ZD:3ZM&gt;G.M98.T!!V)2U:@5G6G:8*F&lt;G.F!!1!!!!-1#%'=X2B&gt;(6T!!!,1!-!"'.P:'5!!""!-0````]'=W^V=G.F!!!A1&amp;!!!Q!#!!-!"".F=H*P=C"J&lt;C!I&lt;G]A:8*S&lt;X)J!%B!=!!?!!!N&amp;5B(2F^#98.F1WRB=X.F=SZM&gt;GRJ9B6)2U:@5G6G:8*F&lt;G.F,GRW9WRB=X-!%72V=#")2U:@5G6G:8*F&lt;G.F!!Z!-0````]%&lt;G&amp;N:1!!&amp;E"1!!-!!A!$!!1*:8*S&lt;X)A&lt;X6U!(%!]!!5!!!!!1!"!!%!!1!&amp;!!%!!1!"!!%!!1!"!!%!!1!'!!%!"Q!"!!%!#!)!!2!1!!!!!!!!!!!!#!!!!!!!!!!!!!!!!!!!!!!!$1!!!!E!!!!!!!U&amp;!"5!!!!!!!!!!!!!!!!!!!%!!!!!!!!!!1!*!!!!!!</Property>
		<Property Name="NI.ClassItem.ExecutionSystem" Type="Int">-1</Property>
		<Property Name="NI.ClassItem.Flags" Type="Int">0</Property>
		<Property Name="NI.ClassItem.IsStaticMethod" Type="Bool">true</Property>
		<Property Name="NI.ClassItem.MethodScope" Type="UInt">1</Property>
		<Property Name="NI.ClassItem.Priority" Type="Int">1</Property>
		<Property Name="NI.ClassItem.State" Type="Int">1082130944</Property>
	</Item>
</LVClass>
